Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface ContentComponent

All Superinterfaces:
  WCMApiObject

All Known Subinterfaces:
  DateComponent, DocumentManagerComponent, FileComponent, HTMLComponent, ImageComponent, JSPComponent, LinkComponent, NumericComponent, OptionSelectionComponent, ReferenceComponent, RichTextComponent, ShortTextComponent, TargetableContentComponent, TextComponent, UserSelectionComponent

    public interface ContentComponent

extends WCMApiObject

The root interface in the Content Component hierarchy. `ContentComponent` is an interface to mark a component that can be held within a `ContentComponentContainer`.

A `ContentComponent` can exist only on `Content`, `Site` or `SiteArea` objects. A `ContentComponent` must live in a `ContentComponentContainer` - it cannot exist in the the repository as a separate object.

A content component has a one-to-one relationship with a `ContentComponentContainer` object, and consequently, with an object that can implements a `ContentComponentContainer`. This is different to a `LibraryComponent` as a `LibraryComponent` may be reused by different objects in the repository.

note: since `v6.0.0`, a `ContentComponent` is referred to as an `"Element"`in the Authoring UI.``

See Also:
  `LibraryComponent`

Method Summary
`ContentComponentContainer` | `getContainer()` Returns the `ContentComponentContainer` object that contains this `ContentComponent`.
`DocumentType<? extends ContentComponent>` | `getDocumentType()` Returns the `DocumentType` of the `ContentComponent`.
`java.lang.String` | `getName()` Returns the name of this `ContentComponent` object.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of this `ContentComponent` object.

  Specified by:
    `getName` in interface `WCMApiObject`
  Returns:
    the component name

### getDocumentType

    DocumentType<? extends ContentComponent> getDocumentType()

  Returns the `DocumentType` of the `ContentComponent`.

  Returns:
    the type

### getContainer

    ContentComponentContainer getContainer()

  Returns the `ContentComponentContainer` object that contains this `ContentComponent`.

  Returns:
    the `ContentComponentContainer` of this object
  Throws:
    `java.lang.IllegalStateException` - if the `ContentComponentContainer` for this `ContentComponent` has not been set

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD